#!/usr/bin/perl
# Převede text z cizího písma do latinky. Jde pouze o usnadnění čitelnosti, ne nutně o zachování veškeré informace.
# (c) 2007-2008 Dan Zeman <zeman@ufal.mff.cuni.cz>
# Licence: GNU GPL

use utf8;
use open ":utf8";
binmode(STDIN, ":utf8");
binmode(STDOUT, ":utf8");
binmode(STDERR, ":utf8");
use lib '/home/zeman/lib';
use translit;
use translit::armen;
use translit::urdu;
use translit::brahmi;
use translit::mkhedruli;
use translit::ethiopic;
use translit::khmer;
use Getopt::Long;
GetOptions('scientific' => \$scientific);



# 0x500: Arménské písmo.
translit::armen::inicializovat(\%prevod);
# 0x600: Arabské písmo pro urdštinu.
translit::urdu::inicializovat(\%prevod);
# 0x900: Písmo devanágarí.
translit::brahmi::inicializovat(\%prevod, 2304, $scientific);
# 0x980: Bengálské písmo.
translit::brahmi::inicializovat(\%prevod, 2432, $scientific);
# 0xA00: Písmo gurmukhí (paňdžábské).
translit::brahmi::inicializovat(\%prevod, 2560, $scientific);
# 0xA80: Gudžarátské písmo.
translit::brahmi::inicializovat(\%prevod, 2688, $scientific);
# 0xB00: Urijské písmo.
translit::brahmi::inicializovat(\%prevod, 2816, $scientific);
# 0xB80: Tamilské písmo.
translit::brahmi::inicializovat(\%prevod, 2944, $scientific);
# 0xC00: Telugské písmo.
translit::brahmi::inicializovat(\%prevod, 3072, $scientific);
# 0xC80: Kannadské písmo.
translit::brahmi::inicializovat(\%prevod, 3200, $scientific);
# 0xD00: Malajálamské písmo.
translit::brahmi::inicializovat(\%prevod, 3328, $scientific);
# 0x10A0: Gruzínské písmo.
translit::mkhedruli::inicializovat(\%prevod);
# 0x1200: Etiopské písmo.
translit::ethiopic::inicializovat(\%prevod);
# 0x1780: Khmerské písmo.
translit::khmer::inicializovat(\%prevod);
while(<>)
{
    print(translit::prevest(\%prevod, $_));
}
